%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define mplayerver	1.1.1

%define build_tainted	0

%if "%{distro_section}" == "tainted"
%global build_tainted	1
%endif

Name:		ogmrip
Version:	1.0.1
%define subrel	1
Release:	%mkrel 10
Summary:	DVD ripping and encoding graphical user interface
Group:		Video/Utilities
License:	GPLv2+
URL:		https://ogmrip.sourceforge.net/en/index.html
Source0:	https://sourceforge.net/projects/ogmrip/files/ogmrip/1.0/%{version}/%{name}-%{version}.tar.gz
Patch0:		ogmrip-1.0.1-enchant2.patch
# Debian patches
Patch10:	slashes-to-dashes.patch
Patch11:	iso-file-segfault.patch

BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(enca)
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(tesseract)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	gettext-devel
BuildRequires:	lame-devel
BuildRequires:	intltool
BuildRequires:	desktop-file-utils

# Not technically build required, but configure checks for it...
BuildRequires:	gtk-doc
BuildRequires:	mplayer
BuildRequires:	mencoder >= %{mplayerver}
BuildRequires:	ogmtools
BuildRequires:	vorbis-tools
BuildRequires:	theora-tools
BuildRequires:	mkvtoolnix
%if %{build_tainted}
BuildRequires:	gpac-devel
%endif

# Now, all the same as runtime requirements
Requires:	lame
Requires:	mplayer
Requires:	mencoder >= %{mplayerver}
Requires:	ogmtools
Requires:	vorbis-tools
Requires:	theora-tools
Requires:	mkvtoolnix
Requires:	tesseract
%if %{build_tainted}
Requires:	gpac
%endif

%description
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.

OGMRip:
* outputs ogm, avi or matroska files
* provides a lot of codecs (ogg vorbis, mp3, pcm, ac3, xvid, lavc)
* calculates video bitrate for a given filesize
* calculates cropping parameters and scaling factors
* uses maximum quality codec switches
* supports subtitles extraction
* rips contiguous chapters
* features a HIG-compliant GNOME 2 user interface

%if %{build_tainted}
This package is in Tainted repository as it depends on gpac
also it incorporates MPEG-4, XVID and x264 technologies, covered
by software patents.
%endif

%package -n	%{libname}
Summary:	DVD ripping libraries from %{name}
Group:		System/Libraries

%description -n	%{libname}
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.
This contains the set of libraries.

%if %{build_tainted}
This package is in Tainted repository as it depends on gpac
also it incorporates MPEG-4, XVID and x264 technologies, covered
by software patents.
%endif

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_lib}name-devel = %{version}-%{release}

%description -n	%{develname}
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.
This contains the development parts of these libraries.

%if %{build_tainted}
This package is in Tainted repository as it depends on gpac
also it incorporates MPEG-4, XVID and x264 technologies, covered
by software patents.
%endif

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
		--disable-static \
		--disable-schemas-install \
%if ! %{build_tainted}
		--disable-x264-support \
		--disable-xvid-support \
		--disable-mp4-support \
%endif
                --with-ocr=tesseract
%make_build

%install
%make_install

desktop-file-install \
		--delete-original \
		--dir=%{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog README TODO
%doc %{_datadir}/gtk-doc/html/ogm*
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_bindir}/dvdcpy
%{_bindir}/avibox
%{_bindir}/subp2pgm
%{_bindir}/subp2png
%{_bindir}/subp2tiff
%{_bindir}/subptools
%{_bindir}/theoraenc
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/pkgconfig/ogm*.pc
%{_libdir}/lib*.so


%changelog
* Tue Jan 31 2023 daviddavid <daviddavid> 1.0.1-10.1.mga8
+ Revision: 1937187
- add patches from Bernhard Übelacker (Debian) to fix crashes with recent
  glib and libdvdread (mga#31472)
- enable lame for core
- use a patch to switch to enchant2

* Tue Jul 21 2020 daviddavid <daviddavid> 1.0.1-10.mga8.tainted
+ Revision: 1607714
- rebuild for new gpac 1.0.0

* Wed Apr 22 2020 luigiwalser <luigiwalser> 1.0.1-9.mga8
+ Revision: 1571023
- rebuild for libdvdread
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 1.0.1-8.mga8.tainted
+ Revision: 1538269
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 17 2019 daviddavid <daviddavid> 1.0.1-7.mga8
+ Revision: 1461386
- rebuild for new libdvdread 6.0.2
+ wally <wally>
- update URL

* Sat Feb 23 2019 wally <wally> 1.0.1-6.mga7.tainted
+ Revision: 1369580
- switch to enchant2

* Sun Sep 09 2018 wally <wally> 1.0.1-5.mga7.tainted
+ Revision: 1257956
- rebuild for aarch64

* Mon Feb 08 2016 umeabot <umeabot> 1.0.1-4.mga7
+ Revision: 943135
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-3.mga5.tainted
+ Revision: 740154
- Second Mageia 5 Mass Rebuild

* Mon Jul 21 2014 daviddavid <daviddavid> 1.0.1-2.mga5.tainted
+ Revision: 655255
- remove manual ldconfig calls (unneeded on Mageia)
- added an uninstall of gconf_schemas file on %%preun section

* Tue Jul 15 2014 daviddavid <daviddavid> 1.0.1-1.mga5.tainted
+ Revision: 653107
- imported package ogmrip

